Bug 412601 - running "hts" results in a traceback.
running "hts" results in a traceback.
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (harness) (Show other bugs)
All Linux
high Severity medium
: ---
: ---
Assigned To: Greg Nichols
Depends On:
  Show dependency treegraph
Reported: 2007-12-05 14:14 EST by Rob Landry
Modified: 2008-05-01 11:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-17 10:55:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rob Landry 2007-12-05 14:14:15 EST
Description of problem:

$Summary, capture of the traceback...

Traceback (most recent call last):
  File "/usr/bin/hts", line 43, in ?
    parser.error( "Unknown command \"%s\"" % command)
NameError: name 'parser' is not defined

The same thing occurs if any command is used that isn't 100% correct, eg, 'hts
-help' or 'hts help', 'hts --help' works but 'hts --clean' results in similar

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. See Summary.
Actual results:

See Summary.

Expected results:

Incorrect commands should return a properly formated usage error.
Comment 1 Greg Nichols 2007-12-07 10:52:18 EST
Fixed R18

Note You need to log in before you can comment on or make changes to this bug.